Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredPointsReader Class Reference

`#include <vtkStructuredPointsReader.h>`

Inheritance diagram for vtkStructuredPointsReader:

[legend]
Collaboration diagram for vtkStructuredPointsReader:

[legend]
List of all members.

## Detailed Description

read vtk structured points data file

Date:
  2002/05/31 23:12:41

Revision:
  1.47

vtkStructuredPointsReader is a source object that reads ASCII or binary structured points data files in vtk format (see text for format details). The output of this reader is a single vtkStructuredPoints data object. The superclass of this class, vtkDataReader, provides many methods for controlling the reading of the data file, see vtkDataReader for more information.

Warning:
  Binary files written on one system may not be readable on other systems.

See also:
  vtkStructuredPoints vtkDataReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (63%)
  - Martin, Ken (14%)
  - Lorensen, Bill (7%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkStructuredPointsReader.cxx)`
  - .`h` (`/IO/vtkStructuredPointsReader.h)`

Examples:
  vtkStructuredPointsReader (Examples)

Tests:
  vtkStructuredPointsReader (Tests)

Definition at line 59 of file vtkStructuredPointsReader.h.

## Public Types
typedef vtkDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutput (vtkStructuredPoints *output)
vtkStructuredPoints * | GetOutput (int idx)
vtkStructuredPoints * | GetOutput ()
## Static Public Methods
vtkStructuredPointsReader * | New ()
int | IsTypeOf (const char *type)
vtkStructuredPointsReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredPointsReader ()
| ~vtkStructuredPointsReader ()
void | Execute ()
void | ExecuteInformation ()

## Member Typedef Documentation

typedef vtkDataReader vtkStructuredPointsReader::Superclass

| Reimplemented from vtkDataReader. Definition at line 63 of file vtkStructuredPointsReader.h.

## Constructor & Destructor Documentation

vtkStructuredPointsReader::vtkStructuredPointsReader | ( |  | ) | `[protected]`

vtkStructuredPointsReader::~vtkStructuredPointsReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkStructuredPointsReader* vtkStructuredPointsReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkDataReader.

virtual const char* vtkStructuredPointsReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataReader.

int vtkStructuredPointsReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataReader.

virtual int vtkStructuredPointsReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataReader.

vtkStructuredPointsReader* vtkStructuredPointsReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataReader.

void vtkStructuredPointsReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataReader.

void vtkStructuredPointsReader::SetOutput | ( | vtkStructuredPoints * | output | ) |

| Set/Get the output of this reader.

vtkStructuredPoints* vtkStructuredPointsReader::GetOutput | ( | int | idx | ) | `[inline]`

| Set/Get the output of this reader. Reimplemented from vtkSource. Definition at line 69 of file vtkStructuredPointsReader.h. References vtkSource::GetOutput().

vtkStructuredPoints* vtkStructuredPointsReader::GetOutput | ( |  | ) |

| Set/Get the output of this reader.

void vtkStructuredPointsReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkStructuredPointsReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- IO/vtkStructuredPointsReader.h